Bug 231694 - graphics/mesa-dri: uninstall error with portupgrade
Summary: graphics/mesa-dri: uninstall error with portupgrade
Status: New
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Bryan Drewery
URL:
Keywords:
Depends on: 223943
Blocks:
  Show dependency treegraph
 
Reported: 2018-09-24 20:36 UTC by hardy.schumacher
Modified: 2019-04-07 12:26 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description hardy.schumacher 2018-09-24 20:36:54 UTC
Upgrading of port [graphics/mesa-dri] from v18.1.8 to v18.1.8_1 fails on deinstallation task.

Following error could be detected:
--->  Deinstalling 'mesa-dri-18.1.8'
--->  Preserving /usr/local/lib/libXvMCr600.so.1 as /usr/local/lib/compat/pkg/libXvMCr600.so.1
cp: symlink: libXvMCr600.so.1.0.0: File exists
Copy failed!
Comment 1 Niclas Zeising freebsd_committer 2018-09-26 09:38:57 UTC
Hi!
Are you using portmaster or something similar?
Comment 2 hardy.schumacher 2018-09-26 21:10:50 UTC
Error occurs on using portupgrade.
Comment 3 Jan Beich freebsd_committer 2018-10-28 05:02:32 UTC
Probably a bug in portupgrade --preserve. I don't see anything wrong with symlinks created by mesa-dri.